System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum To be added

Specified how a new window should appear when the system starts a process.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ProcessWindowStyle To be added

  The hidden window style. A window can be either visible or hidden. The system displays a hidden window by not drawing it. If a window is hidden, it is effectively disabled. A hidden window can process messages from the system or from other windows, but it cannot process input from the user or display output. Frequently, an application may keep a new window hidden while it customizes the window's appearance, and then make the window style Normal. To use , the property must be false.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ProcessWindowStyle To be added

  The maximized window style. By default, the system enlarges a maximized window so that it fills the screen or, in the case of a child window, the parent window's client area. If the window has a title bar, the system automatically moves it to the top of the screen or to the top of the parent window's client area. Also, the system disables the window's sizing border and the window-positioning capability of the title bar so that the user cannot move the window by dragging the title bar.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ProcessWindowStyle To be added

  The minimized window style. By default, the system reduces a minimized window to the size of its taskbar button and moves the minimized window to the taskbar.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ProcessWindowStyle To be added

  The normal, visible window style. The system displays a window with Normal style on the screen, in a default location. If a window is visible, the user can supply input to the window and view the window's output. Frequently, an application may initialize a new window to the Hidden style while it customizes the window's appearance, and then make the window style Normal.